<!-- Include header -->
{% include "header.html" %}

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Scan Results
        </h1>
    </section>

    <!-- Main content -->
    <section class="content container-fluid">
      <div class="row">
        <div class="col-md-12">
          <div class="box box-primary">
            <div class="box-header with-border">
              
              <div id="show_filters">
                <button class="btn btn-primary" id="show" style="float:right;">Show Filters</button>
              </div>

              <div id="filters" style="display:none;">
                <form action="/scanResults" method="post">
                  <button type="submit" class="btn btn-primary" style="float:right;">Apply Filters</button>
              
                  <div class="col-md-6" class="form-group">
                    <label>Filter by:</label><br>
                    <input type="checkbox" name="filter_select" value="item">Item</option><br>
                    <input type="checkbox" name="filter_select" value="item_type">Item Type</option><br>
                    <input type="checkbox" name="filter_select" value="date">Date</option>

                    <div id="filter_item" style="display:none;" class="form-group filter">
                      <table class="table table-bordered table-hover" id="item_table">
                          <thead><tr>
                              <th></th>
                              <th>Name</th>
                              <th>Item Type</th>
                          </tr></thead>
                          <!-- Get search items via /showScheduleScan [app.py] -->
                          <tbody>
                            {% for row in items %}
                            <tr>
                                <td><input type="checkbox" name="search_item" value= {{ row[0] }} ></td>
                                <td>{{ row[1] }}</td>
                                <td>{{ row[2] }}</td>
                            </tr>
                            {% endfor %}
                          </tbody>
                      </table>
                    </div>
                  </div> <!-- end col-md-6 -->
                  <div class="col-md-6">
                    <div id="filter_date" style="display:none;" class="form-group filter">
                      <label>From &nbsp;</label><input type="date" name="startDate" placeholder="Start Date">
                      <label>&nbsp; To &nbsp;</label> <input type="date" name="endDate" placeholder="End Date">
                    </div>
                    <div id="filter_item_type" style="display:none;" class="form-group filter">
                      <table class="table table-hover" id="type_table">
                        <thead><tr>
                            <th></th>
                            <th>Item Type</th>
                        </tr></thead>
                        <tbody>
                          <tr>
                              <td><input type="checkbox" name="item_type" value='Product'> </td>
                              <td>Products</td>
                          </tr>
                          <tr>
                              <td><input type="checkbox" name="item_type" value='Keyword'></td>
                              <td>Keywords</td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div> <!-- end col-md-6 -->
                </form>
              </div> <!-- end filters  div-->

            </div> <!-- end box header -->

            <div class="box-body" id="results">
              <table class="table table-bordered table-hover" id="results_table">
                <thead><tr>
                  <th>Date</th>
                  <th>Item Found</th>
                  <th>Result Description</th>
                  <th>Link</th>
                  <th>Rating</th>
                  <th style="display:none;">Result ID</th>
                  <th style="display:none;">Item Type</th>
                </tr></thead>
              </table>
            </div> <!-- /box body -->
          </div> <!-- /box  -->
        </div> <!-- /end col -->
      </div> <!-- /end row -->
    </section><!-- /.content -->
</div><!-- /.content-wrapper -->

    
 
<!-- Page JavaScript/Jquery goes here -->
<script>


$(function () {
    $('#item_table').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : true,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
})


$(function () {
    $('#type_table').DataTable({
      'paging'      : false,
      'lengthChange': false,
      'searching'   : false,
      'ordering'    : true,
      'info'        : false,
      'autoWidth'   : false
    })
})

$(document).ready(function () {
  
  $('#results_table').DataTable({
    bProcessing: true,
    bServerSide: true,
    sPaginationType: "full_numbers",
    lengthMenu: [[10, 25, 50, 100], [10, 25, 50, 100]],
    bjQueryUI: true,
    sAjaxSource: '/results_table',
    deferRender: true,
    columns: [
      {"data": "Date"},
      {"data": "Item Found"},
      {"data": "Result Description"},
      {"data": "Link",
        "render": function(data, type, row, meta){
              if(type === 'display'){
                  data = '<a href="' + data + '" target="_blank"> View Post </a>';
              }
              return data;
           }    
      },
      {"data": "Rating",
        "render": function(data, type, row, meta){
              data = '<button><i class = "fa fa-fw fa-thumbs-o-up"></i></button><button><i class = "fa fa-fw fa-thumbs-o-down"></i></button>';
              return data;
           }    
      },
      {"data": "Result ID"},
      {"data": "Item Type"}
    ],
    "columnDefs": [
            {
                "targets": [ 5 ],
                "visible": false
            },
            {
                "targets": [ 6 ],
                "visible": false
            }
    ]
  });


  //// Filter control
  // for showing options when filter option is selected
  $("input[name$='filter_select']").click(function() {
      var test = $(this).val();
      if($(this).is(':checked')) {
        $("#filter_" + test).show();
      } else {
        $("#filter_" + test).hide();
      }
  });


  $("#show").click( function(){
    $("#filters").show();
    $("#show_filters").hide();
    $("#results").hide();
  });


  $("#show").click( function(){
    $("#filters").show();
    $("#show_filters").hide();
    $("#results").hide();
  });

});




</script>


<!-- Include footer -->
{% include "footer.html" %}



